[Unit]
Description=Renew Kerberos and aklog if aklog is installed
Documentation=https://gitlab.cern.ch/linuxsupport/rpms/cern-aklog-systemd-user
Before=dbus.service

[Service]
Type=oneshot
#
# If no valid credential we do not run rather than consider it a failure.
#
ExecCondition=/usr/bin/klist -s
ExecStart=-/usr/bin/kinit -R
ExecStart=-/usr/bin/aklog

[Install]
WantedBy=default.target
